OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
runtime.h File Reference

Interface into the Open MPI Run Time Environment. More...

`#include "orte_config.h"`
`#include "orte/util/proc_info.h"`

Go to the source code of this file.

## Functions
ORTE_DECLSPEC int | orte_init (int *pargc, char ***pargv, orte_proc_type_t flags)
| Initialize the Open Run Time Environment. More...
ORTE_DECLSPEC int | orte_register_params (void)
| Initialize parameters for ORTE. More...

## Variables
BEGIN_C_DECLS ORTE_DECLSPEC const char | orte_version_string []
| version string of ompi
ORTE_DECLSPEC bool | orte_initialized
| Whether ORTE is initialized or we are in orte_finalize.
ORTE_DECLSPEC bool | orte_finalizing
ORTE_DECLSPEC int | orte_debug_output
ORTE_DECLSPEC bool | orte_debug_flag

## Detailed Description

Interface into the Open MPI Run Time Environment.

## Function Documentation

ORTE_DECLSPEC int orte_init | ( | int * | pargc,
|  | char *** | pargv,
|  | orte_proc_type_t | flags
| ) |  |

Initialize the Open Run Time Environment.

Initlize the Open Run Time Environment, including process control, malloc debugging and threads, and out of band messaging. This function should be called exactly once. This function should be called by every application using the RTE interface, including MPI applications and mpirun.

Parameters

  pargc | Pointer to the number of arguments in the pargv array
  pargv | The list of arguments.
  flags | Whether we are ORTE tool or not

References opal_init(), orte_ess_base_open(), orte_ess_base_select(), orte_initialized, orte_locks_init(), orte_process_info, orte_register_params(), orte_show_help(), orte_show_help_init(), and orte_proc_info_t::proc_type.

Referenced by ompi_mpi_init().

ORTE_DECLSPEC int orte_register_params | ( | void |  | ) |

Initialize parameters for ORTE.

Return values

  ORTE_SUCCESS | Upon success.
  ORTE_ERROR | Upon failure.

References opal_output_stream_t::lds_want_stdout, mca_base_param_reg_int_name(), mca_base_param_reg_string_name(), OBJ_CONSTRUCT, OBJ_DESTRUCT, opal_argv_split(), opal_output(), opal_output_open(), orte_process_info, and orte_proc_info_t::tmpdir_base.

Referenced by orte_init().